Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## igeo.io
Class IRhino3dm.BrepLoop

    java.lang.Object
      igeo.io.IRhino3dm.RhinoObject
          igeo.io.IRhino3dm.Geometry
              igeo.io.IRhino3dm.BrepLoop

Enclosing class:
  IRhino3dm

    public static class IRhino3dm.BrepLoop

extends IRhino3dm.Geometry

Nested Class Summary
`static class` | `IRhino3dm.BrepLoop.Type`

Field Summary
`IRhino3dm.Brep` | `brep`
`int` | `faceIndex`
`int` | `loopIndex`
`IRhino3dm.BoundingBox` | `pbox`
`java.util.ArrayList<java.lang.Integer>` | `trimIndex`
`IRhino3dm.BrepLoop.Type` | `type`
`static java.lang.String` | `uuid`

Fields inherited from class igeo.io.IRhino3dm.RhinoObject
`attributes, objectTypeAnnotation, objectTypeAny, objectTypeBeam, objectTypeBrep, objectTypeCage, objectTypeClipPlane, objectTypeCurve, objectTypeDetail, objectTypeEdgeFilter, objectTypeExtrusion, objectTypeGrip, objectTypeHatch, objectTypeInstanceDefinition, objectTypeInstanceReference, objectTypeLayer, objectTypeLight, objectTypeLoop, objectTypeMaterial, objectTypeMesh, objectTypeMeshEdge, objectTypeMeshFace, objectTypeMeshVertex, objectTypeMorphControl, objectTypePhantom, objectTypePoint, objectTypePointset, objectTypePolyledgeFilter, objectTypePolysrfFilter, objectTypeSurface, objectTypeTextDot, objectTypeUnknown, objectTypeUserData`

Constructor Summary
`IRhino3dm.BrepLoop()`
`IRhino3dm.BrepLoop(int lidx, int fidx, IRhino3dm.BrepLoop.Type type, IRhino3dm.Brep brep)`

Method Summary
`void` | `addTrimIndex(int i)`
`IRhino3dm.UUID` | `getClassUUID()`
`static int` | `getInt(IRhino3dm.BrepLoop.Type i)`
`void` | `read(IRhino3dm.Rhino3dmFile context, java.io.InputStream is)`
`static IRhino3dm.BrepLoop.Type` | `readType(int i)`
`void` | `write(IRhino3dm.Rhino3dmFile context, java.io.OutputStream os, java.util.zip.CRC32 crc)`

Methods inherited from class igeo.io.IRhino3dm.RhinoObject
`createIObject, getType, read, setAttributes, setAttributesToIObject`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### uuid

    public static final java.lang.String uuid

See Also:
  Constant Field Values

### loopIndex

    public int loopIndex

### trimIndex

    public java.util.ArrayList<java.lang.Integer> trimIndex

### type

    public IRhino3dm.BrepLoop.Type type

### faceIndex

    public int faceIndex

### pbox

    public IRhino3dm.BoundingBox pbox

### brep

    public IRhino3dm.Brep brep

Constructor Detail

### IRhino3dm.BrepLoop

    public IRhino3dm.BrepLoop()

### IRhino3dm.BrepLoop

    public IRhino3dm.BrepLoop(int lidx,
                              int fidx,
                              IRhino3dm.BrepLoop.Type type,
                              IRhino3dm.Brep brep)

Method Detail

### getClassUUID

    public IRhino3dm.UUID getClassUUID()

  Overrides:
    `getClassUUID` in class `IRhino3dm.Geometry`

### addTrimIndex

    public void addTrimIndex(int i)

### readType

    public static IRhino3dm.BrepLoop.Type readType(int i)

### getInt

    public static int getInt(IRhino3dm.BrepLoop.Type i)

### read

    public void read(IRhino3dm.Rhino3dmFile context,
                     java.io.InputStream is)
              throws java.io.IOException

  Overrides:
    `read` in class `IRhino3dm.RhinoObject`
  Throws:
    `java.io.IOException`

### write

    public void write(IRhino3dm.Rhino3dmFile context,
                      java.io.OutputStream os,
                      java.util.zip.CRC32 crc)
               throws java.io.IOException

  Overrides:
    `write` in class `IRhino3dm.RhinoObject`
  Throws:
    `java.io.IOException`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD